package {
	import flash.display.Sprite;
	import ChessPieceData;
	public class ChessPiece	{
		private var _flyWeight:ChessPieceData;
		private var _sprite:Sprite;
		private var _white:Boolean;
		private var _x:int;
		private var _y:int;
		public function ChessPiece(data:ChessPieceData,color:Boolean,x:int,y:int){
			_flyWeight=data;
			_white=color;
			_sprite=new Sprite();
			_flyWeight.draw(_sprite,_white);
			setPosition(x,y);
		}
		public function getSprite():Sprite{
			return _sprite;
		}
		public function isWhite():Boolean{
			return _white;
		}
		public function reset():void{
			_sprite.x=_x;
			_sprite.y=_y;
		}
		public function setPosition(x:int,y:int):void{
			_sprite.x=_x=x;
			_sprite.y=_y=y;
		}
		public function validMove(startSq:int,endSq:int,capture:ChessPiece):Boolean{
			if(capture !=null && capture._white==_white){
				return false;
			}
			return _flyWeight.validMove(startSq,endSq);
		}
	}
}