package{
	import ChessPieceData;
	public class FlyWeightPieceFactory{
		private static var _created:Object={};
		public static function getFlyWeight(pieceId:String):ChessPieceData{
			if(_created[pieceId] == undefined){
				_created[pieceId] = _createFlyWeight(pieceId);
			}
			return _created[pieceId];
		}
		private static function _createFlyWeight(pieceId:String):ChessPieceData{
			var filePath:String='piece_pngs/'+pieceId+'.png';
			return new ChessPieceData(filePath);
		}
	}
}