package{
	import flash.display.BitmapData;
	import flash.events.Event;
	import flash.display.Loader;
	import flash.display.Bitmap;
	import flash.filters.DropShadowFilter;
	import flash.filters.ColorMatrixFilter;
	import flash.net.URLRequest;
	import flash.display.Sprite;
	import flash.display.DisplayObject;
	import flash.geom.Rectangle;
	import flash.geom.Point;
	public class ChessPieceData	{
		private var _bitmapData:BitmapData;
		function ChessPieceData(file:String){
			_setGraphicFile(file);
			_bitmapData=new BitmapData(75,150);
		}
		public function getMovementMatrix():void{
		}
		private function _setGraphicFile(path:String):void{
			var urlReq:URLRequest = new URLRequest(path);
			var data:Loader = new Loader();
			data.contentLoaderInfo.addEventListener(Event.COMPLETE,_bitmapLoaded);
			data.contentLoaderInfo.addEventListener("ioerror",_error);
			data.load(urlReq);
		}
		private function _bitmapLoaded(event:Event):void{
			var icon:Bitmap=event.target.content;
			var rect:Rectangle=new Rectangle(0,0,75,150);
			var pnt:Point=new Point(0,0);
			_bitmapData.copyPixels(icon.bitmapData,rect,pnt);
		}
		private function _error(event:Event):void{
			trace('woops! OMG, the picture isnt there!');
		}
		public function draw(sprite:Sprite,white:Boolean):void{
			var icon:Bitmap=new Bitmap(_bitmapData);
			var drop:DropShadowFilter = new DropShadowFilter(5, 0, 0,1,10,10,1,1)
		    var matrix:Array;
		    if(white){
	            matrix = [2, 0, 0, 0, 0,0, 1.5, 0, 0, 0,0, 0, 1.5, 0, 0,1, 1, 1, 1.5, 0];
       		}else{
       		 	matrix = [1.5, 0, 0, 0, -64,0, 1.5, 0, 0, -64,0, 0, 2, 0, -64,1, 1, 1, 1,0];
       		 }
       		var tint:ColorMatrixFilter=new ColorMatrixFilter(matrix);
	        icon.filters=[tint,drop];
			sprite.addChild(icon);
		}
		public function validMove(startSq:int,endSq:int):Boolean{
			return true;
		}
	}
}